@import '../../sass/variables.scss';
@import '../../sass/general.scss';

.History{
     background-color: white;
     border-radius: 15px;
     box-shadow: 0 0 30px rgba($magic-mint, .7);
     width: 90vw;
     min-width: 300px;
     min-height: 300px;
     padding: 30px;
     box-sizing: border-box;
     position: absolute;
     left: 50%;
     top: 50%;
     transform: translate(-50%, -50%);
     text-align: center;
     .userDetails{
         .fltleft{
             width: 45%;
             margin: 5px 2.5%;
             input[type="text"]{
                 width: 100%;
             }
         }
    }
    .userHistory{
        margin-top: 20px;
        max-height: 500px;
        overflow-y: scroll;
        .userGroup{ 
            border: 1px solid black;
            margin-bottom: 10px;
            padding: 5px 10px;
            max-height: 300px; 
            overflow-y: scroll;
            .quiz{ 
                border-bottom: 1px solid black;
                margin: 5px 0;
                .quizDetails{ 
                    font-size: .9rem;
                }
                .quizQuestions{
                    .questions{
            font-size: .9rem;
            padding-left: 25px;
            li{
                margin: 5px 0;
                &.correct{
                    strong{
                        color: green;
                    }
                }
                &.incorrect{
                    strong{
                        color: red; 
                    }
                }
            }
            .answers {
                padding-left: 20px;
                margin: 3px 0 20px;
                li {
                    margin: 2px 0;

                    &.selected {
                        color: red;
                        text-decoration: underline;
                        font-style: italic;
                    }

                    &.answer {
                        color: green;
                        font-weight: bold;
                    }
                }
            }
        }
        .questions{
            font-size: .9rem;
            padding-left: 25px;
            li{
                margin: 5px 0;
                &.correct{
                    strong{
                        color: green;
                    }
                }
                &.incorrect{
                    strong{
                        color: red; 
                    }
                }
            }
            .answers {
                padding-left: 20px;
                margin: 3px 0 20px;
                li {
                    margin: 2px 0;

                    &.selected {
                        color: red;
                        text-decoration: underline;
                        font-style: italic;
                    }

                    &.answer {
                        color: green;
                        font-weight: bold;
                    }
                }
            }
        }
                    .questions{
            font-size: .9rem;
            padding-left: 25px;
            li{
                margin: 5px 0;
                &.correct{
                    strong{
                        color: green;
                    }
                }
                &.incorrect{
                    strong{
                        color: red; 
                    }
                }
            }
            .answers {
                padding-left: 20px;
                margin: 3px 0 20px;
                li {
                    margin: 2px 0;

                    &.selected {
                        color: red;
                        text-decoration: underline;
                        font-style: italic;
                    }

                    &.answer {
                        color: green;
                        font-weight: bold;
                    }
                }
            }
        }
                }
            }
        }
    }
}